Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type.access
Class BiopolymerSqlTransformer

    java.lang.Object
      ru.biosoft.access.SqlTransformerSupport
          biouml.standard.type.access.ReferrerSqlTransformer
              biouml.standard.type.access.ConceptSqlTransformer
                  biouml.standard.type.access.BiopolymerSqlTransformer

All Implemented Interfaces:
  SqlTransformer

Direct Known Subclasses:
  GeneSqlTransformer, ProteinSqlTransformer, RNASqlTransformer

public abstract class BiopolymerSqlTransformer
extends ConceptSqlTransformer

Field Summary

Fields inherited from class ru.biosoft.access.SqlTransformerSupport
`owner, table`

Constructor Summary
`BiopolymerSqlTransformer()`

Method Summary
`void` | `addInsertCommands(java.sql.Statement statement, DataElement de)` Adds set of SQL commands to the statement to insert data element into the table.

Methods inherited from class biouml.standard.type.access.ConceptSqlTransformer
`addDeleteCommands, addUpdateCommands, create, createElement, getSelectQuery, getSpecificFields, getSpecificValues, getTemplateClass, init`

Methods inherited from class ru.biosoft.access.SqlTransformerSupport
`getCountQuery, getElementExistsQuery, getElementQuery, getNameListQuery, getTable, validateValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiopolymerSqlTransformer

    public BiopolymerSqlTransformer()

Method Detail

### addInsertCommands

    public void addInsertCommands(java.sql.Statement statement,
                                  DataElement de)
                           throws java.lang.Exception

  Description copied from class: `biouml.standard.type.access.ReferrerSqlTransformer`
  Adds set of SQL commands to the statement to insert data element into the table.

  Specified by:
    `addInsertCommands` in interface `SqlTransformer`
  Overrides:
    `addInsertCommands` in class `ConceptSqlTransformer`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.